%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	bios information library
Name:		libsmbios
Version:	2.2.19
Release:	3
BuildArch:	i686
License:	OSL 2.1
URL: 		http://linux.dell.com/libsmbios/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libsmbios-python26.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildPreReq: 	libtool
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config
BuildRequires: python26-devel

%description
The libsmbios project aims towards providing access to as much BIOS information as possible. 
SMBIOS is a standards-based approach for hardware vendors to present and structure management data for consumption by OS and Management Applications. You can find more information here: http://www.dmtf.org/standards/smbios .
 Basically, the system BIOS leaves a small table in memory that can be found by the OS after system boot. This table has a standardized format that can easily be parsed by application software.
 Several Dell-specific hardware features, such as BIOS update, CMOS Tokens, SMI, hardware probes (temperature, fan, etc) are represented in the SMBIOS tables. Because of this, libsmbios has code to enable these features on Dell systems.

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel

This package contains the headers and pkg-config file for
development of programs using %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
%patch0 -p1

%build
%configure PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr/include
cp -a src/include/smbios %{buildroot}/usr/include/

%files
%defattr(-,root,root)
%{_sysconfdir}/libsmbios/
%{_sysconfdir}/yum/pluginconf.d/dellsysid.conf
#%{_bindir}
%{_sbindir}/smbios-*
%{_sbindir}/dell*
%{_libdir}/libsmbios*.so*
%{python_sitelib}
%{_libdir}/yum-plugins/dellsysid.p*
%{_datadir}/locale/*/LC_MESSAGES/libsmbios.mo
%{_datadir}/smbios-utils/

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/libsmbios*.la
%{_libdir}/libsmbios*.a
%{_pkgconfig}/libsmbios_c++.pc
%{_pkgconfig}/libsmbios_c.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.19-3
- readded headerfiles needed for HAL
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 2.2.19-2
- python 2.6
* Thu Aug 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.19-1
- version update
* Sun Nov 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.3-1
- version update
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13.13-1
- version update
* Tue Jul 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13.6-1
- Initial Release
